/*
 * @(#)MessageResource.java
 *
 * Copyright (C) 2005 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso.message;

import jp.co.infocity.i18n.MessageResourceBundle;
import jp.co.infocity.i18n.ResourceBundleEx;

/**
 * メッセージリソース処理クラス
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.1 $ $Date: 2005/10/31 05:21:08 $
 */
public class MessageResource {

	/**
	 * メッセージリソースバンドル
	 */
	private MessageResourceBundle msb = null;

	/**
	 * コンストラクタ
	 */
	public MessageResource(String resource) {
		msb = new MessageResourceBundle(ResourceBundleEx.getBundle(resource));
	}

	/**
	 * リソースからメッセージを取得
	 * 
	 * @param key メッセージ取得キー
	 * @return String メッセージ
	 */
	public String getMessage(String key) {
		String msg = "";
		if(msb != null) {
			msg = msb.getString(key);
		}
		return msg;
	}

	/**
	 * リソースからメッセージを取得
	 * 
	 * @param key メッセージ取得キー
	 * @param args メッセージフォーマット用のパラメータ
	 * @return String メッセージ
	 */
	public String getMessage(String key, Object[] args) {
		String msg = "";
		if(msb != null) {
			msg = msb.getString(key, args);
		}
		return msg;
	}

}
